This is an archived snapshot of W3C's public bugzilla bug tracker, decommissioned in April 2019. Please see the home page for more details.

Bug 14509 - <track> A text track doesn't/shouldn't have a readiness state, so it cannot be set
Summary: <track> A text track doesn't/shouldn't have a readiness state, so it cannot b...
Status: RESOLVED FIXED
Alias: None
Product: WHATWG
Classification: Unclassified
Component: HTML (show other bugs)
Version: unspecified
Hardware: Other other
: P3 blocker
Target Milestone: Unsorted
Assignee: Ian 'Hixie' Hickson
QA Contact: contributor
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-19 11:49 UTC by contributor
Modified: 2012-07-18 18:39 UTC (History)
3 users (show)

See Also:


Attachments

Description contributor 2011-10-19 11:49:44 UTC
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/the-video-element.html
Multipage: http://www.whatwg.org/C#sourcing-in-band-text-tracks
Complete: http://www.whatwg.org/c#sourcing-in-band-text-tracks

Comment:
A text track doesn't/shouldn't have a readiness state, so it cannot be set

Posted from: 83.218.67.122 by philipj@opera.com
User agent: Opera/9.80 (X11; Linux x86_64; U; Edition Next; en) Presto/2.9.220 Version/12.00
Comment 1 Philip J├Ągenstedt 2011-10-19 11:51:05 UTC
Step 4 of sourcing in-band tracks says: "Set the new text track's readiness state to the value that most correctly describes the current state, and begin updating it dynamically as necessary."

This doesn't make any sense as of bug 14241, the step should just be removed.
Comment 2 Ian 'Hixie' Hickson 2011-10-25 22:48:20 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: see diff below
Rationale: Text tracks still have a readiness state, it's just not exposed except on <track>. But it's less important now. Also, we always want it in the "loaded" state for in-band tracks, to help with bug 14260.
Comment 3 contributor 2011-10-25 22:48:55 UTC
Checked in as WHATWG revision r6756.
Check-in comment: Simplify in-band text track loading.
http://html5.org/tools/web-apps-tracker?from=6755&to=6756